aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorclyhtsuriva <aimeric@adjutor.xyz>2026-04-10 20:08:43 +0200
committerclyhtsuriva <aimeric@adjutor.xyz>2026-04-10 20:08:43 +0200
commit4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23 (patch)
treec876738b9539afd5699beb96d774131e9251b5b6 /bin
parentb616376896a4becc79a9bc6be9e66107deb6dcd1 (diff)
downloadscripts-4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23.tar.gz
scripts-4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23.tar.bz2
scripts-4c4ede3cef7a6f36d358ab43c61a5d6a231d8a23.zip
Add update-packer-to + update-packages is now build-packagesHEADmaster
Diffstat (limited to 'bin')
-rwxr-xr-xbin/update-packer-to15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/update-packer-to b/bin/update-packer-to
new file mode 100755
index 0000000..622f139
--- /dev/null
+++ b/bin/update-packer-to
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+# clyhtsuriva
+
+VER=$1
+
+pushd /tmp/ || exit
+
+curl -LO "https://releases.hashicorp.com/packer/${VER}/packer_${VER}_linux_amd64.zip" && \
+unzip "packer_${VER}_linux_amd64.zip" && \
+rm LICENSE.txt && \
+mv packer ~/.local/bin/packer && \
+packer -v && \
+rm "packer_${VER}_linux_amd64.zip"
+
+popd || exit
pan>/+128 2020-12-24Finishing album and starting playlistsClyhtsuriva3-16/+102 2020-12-23Implementing AlbumClyhtsuriva3-17/+155 2020-12-22SimplifyingClyhtsuriva2-129/+81 2020-12-19Adding AudioBooksClyhtsuriva7-48/+225 2020-12-11(De)Serialization of the songsClyhtsuriva2-42/+63 2020-12-11Getting serialization working with a songClyhtsuriva3-7/+36 2020-12-11adding Serialization interface and methodsClyhtsuriva6-59/+63 2020-12-07Big updateMasfehico6-16/+99 2020-12-07cleaning and adding stuff in playlistMasfehico3-2/+20 2020-12-07Updating song and audiobook accordingly to the last commitMasfehico2-8/+8 2020-12-07Adding the enum classesMasfehico3-0/+9 2020-12-07Updating song, audiobook and musical elements's sets and getsMasfehico3-5/+23 2020-12-07Finishing MusicalElement.javaMasfehico1-6/+11 2020-11-23Cleaning upMasfehico2-30/+0 2020-11-23Deleting the CSVSMasfehico5-3669/+0 2020-11-23Minor testing changesMasfehico7-43/+63 2020-11-23Musical elements updated and jMusicHub basic creationMasfehico2-0/+0 2020-11-23Musical elements updated and jMusicHub basic creationMasfehico4-3/+74 2020-11-21README.md updatedMasfehico1-3/+1 2020-11-19Started Song and MusicalElementMasfehico5-0/+190 2020-11-18Added CSVsMasfehico9-102/+3756 2020-11-18Firs filesMasfehico8-0/+103 2020-11-17LICENSE updatedMasfehico1-68/+81